Jump to content

beta 2 - errors


Recommended Posts

This error comes from the new package manager. With the new version 2.0 the IDE compiles all units used by the packages in a validation process. From this the component palette is built and so on. So without it, the new visual designer can't run as well as no components are available.

 

There will soon be an article about the new package manager and visual designer, but right now there is still some work to do until we have a final.

 

But back to your problem: For some reason, the RTL files couldn't be compiled, which leads to the problem, that the compiler does not return a valid "program" (in fact it is rather a library than a program).

 

Maybe - for some reasons - you have a different RTL code than the one that is shipped with SmartMS. I'm not exactly sure here, but the installer should overwrite the RTL code and/or remove it, when you uninstall the IDE.

 

I'll add an item to our bug tracker to have a look at this...

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...